OGRE: Scene - OGRE Documentation

Classes | Typedefs | Enumerations | Functions

# Scene
[Core]

Collaboration diagram for Scene:

## Classes
class | Ogre::Camera
| A viewpoint from which the scene will be rendered. More...
class | Ogre::Entity
| Defines an instance of a discrete, movable object based on a Mesh. More...
class | Ogre::EntityFactory
| Factory object for creating Entity instances. More...
class | Ogre::InstancedGeometry
| Pre-transforms and batches up meshes for efficient use as instanced geometry in a scene. More...
class | Ogre::Light
| Representation of a dynamic light source in the scene. More...
class | Ogre::LightFactory
| Factory object for creating Light instances. More...
class | Ogre::ManualObject
| Class providing a much simplified interface to generating manual objects with custom geometry. More...
class | Ogre::ManualObjectFactory
| Factory object for creating ManualObject instances. More...
class | Ogre::MovableObject
| Abstract class defining a movable object in a scene. More...
class | Ogre::MovableObjectFactory
| Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing. More...
class | Ogre::MovablePlane
| Definition of a Plane that may be attached to a node, and the derived details of it retrieved simply. More...
class | Ogre::Node
| Class representing a general-purpose node an articulated scene graph. More...
class | Ogre::Rectangle2D
| Allows the rendering of a simple 2D rectangle This class renders a simple 2D rectangle; this rectangle has no depth and therefore is best used with specific render queue and depth settings, like RENDER_QUEUE_BACKGROUND and 'depth_write off' for backdrops, and RENDER_QUEUE_OVERLAY and 'depth_check off' for fullscreen quads. More...
class | Ogre::Renderable
| Abstract class defining the interface all renderable objects must implement. More...
struct | Ogre::ViewPoint
| Structure for holding a position & orientation pair. More...
struct | Ogre::VisibleObjectsBoundsInfo
| Structure collecting together information about the visible objects that have been discovered in a scene. More...
class | Ogre::SceneManager
| Manages the organisation and rendering of a 'scene' i.e. More...
class | Ogre::DefaultIntersectionSceneQuery
| Default implementation of IntersectionSceneQuery. More...
class | Ogre::DefaultRaySceneQuery
| Default implementation of RaySceneQuery. More...
class | Ogre::DefaultSphereSceneQuery
| Default implementation of SphereSceneQuery. More...
class | Ogre::DefaultPlaneBoundedVolumeListSceneQuery
| Default implementation of PlaneBoundedVolumeListSceneQuery. More...
class | Ogre::DefaultAxisAlignedBoxSceneQuery
| Default implementation of AxisAlignedBoxSceneQuery. More...
struct | Ogre::SceneManagerMetaData
| Structure containing information about a scene manager. More...
class | Ogre::SceneManagerFactory
| Class which will create instances of a given SceneManager. More...
class | Ogre::DefaultSceneManagerFactory
| Factory for default scene manager. More...
class | Ogre::DefaultSceneManager
| Default scene manager. More...
class | Ogre::SceneManagerEnumerator
| Enumerates the SceneManager classes available to applications. More...
class | Ogre::SceneNode
| Class representing a node in the scene graph. More...
class | Ogre::SceneQuery
| A class for performing queries on a scene. More...
class | Ogre::SceneQueryListener
| This optional class allows you to receive per-result callbacks from SceneQuery executions instead of a single set of consolidated results. More...
struct | Ogre::SceneQueryResult
| Holds the results of a scene query. More...
class | Ogre::RegionSceneQuery
| Abstract class defining a query which returns single results from a region. More...
class | Ogre::AxisAlignedBoxSceneQuery
| Specialises the SceneQuery class for querying within an axis aligned box. More...
class | Ogre::SphereSceneQuery
| Specialises the SceneQuery class for querying within a sphere. More...
class | Ogre::PlaneBoundedVolumeListSceneQuery
| Specialises the SceneQuery class for querying within a plane-bounded volume. More...
class | Ogre::RaySceneQueryListener
| Alternative listener class for dealing with RaySceneQuery. More...
struct | Ogre::RaySceneQueryResultEntry
| This struct allows a single comparison of result data no matter what the type. More...
class | Ogre::RaySceneQuery
| Specialises the SceneQuery class for querying along a ray. More...
class | Ogre::IntersectionSceneQueryListener
| Alternative listener class for dealing with IntersectionSceneQuery. More...
struct | Ogre::IntersectionSceneQueryResult
| Holds the results of an intersection scene query (pair values). More...
class | Ogre::IntersectionSceneQuery
| Separate SceneQuery class to query for pairs of objects which are possibly intersecting one another. More...
class | Ogre::ShadowCameraSetup
| This class allows you to plug in new ways to define the camera setup when rendering and projecting shadow textures. More...
class | Ogre::DefaultShadowCameraSetup
| Implements default shadow camera setup. More...
class | Ogre::FocusedShadowCameraSetup
| Implements the uniform shadow mapping algorithm in focused mode. More...
class | Ogre::LiSPSMShadowCameraSetup
| Implements the Light Space Perspective Shadow Mapping Algorithm. More...
class | Ogre::PlaneOptimalShadowCameraSetup
| Implements the plane optimal shadow camera algorithm. More...
class | Ogre::PSSMShadowCameraSetup
| Parallel Split Shadow Map (PSSM) shadow camera setup. More...
class | Ogre::ShadowRenderable
| Class which represents the renderable aspects of a set of shadow volume faces. More...
class | Ogre::ShadowCaster
| This class defines the interface that must be implemented by shadow casters. More...
struct | Ogre::ShadowTextureConfig
| Structure containing the configuration for one shadow texture. More...
class | Ogre::ShadowTextureManager
| Class to manage the available shadow textures which may be shared between many SceneManager instances if formats agree. More...
class | Ogre::ShadowVolumeExtrudeProgram
| Static class containing source for vertex programs for extruding shadow volumes. More...
class | Ogre::SimpleRenderable
| Simple implementation of MovableObject and Renderable for single-part custom objects. More...
class | Ogre::SkeletonInstance
| A SkeletonInstance is a single instance of a Skeleton used by a world object. More...
struct | Ogre::StaticFaceGroup
| Collects a group of static i.e. More...
class | Ogre::StaticGeometry
| Pre-transforms and batches up meshes for efficient use as static geometry in a scene. More...
class | Ogre::SubEntity
| Utility class which defines the sub-parts of an Entity. More...
class | Ogre::UserObjectBindings
| Class that provide convenient interface to establish a linkage between custom user application objects and Ogre core classes. More...
class | Ogre::WireBoundingBox
| Allows the rendering of a wireframe bounding box. More...
## Typedefs
typedef uint16 | Ogre::SceneTypeMask
| Bitmask containing scene types.
typedef list< MovableObject * > ::type | Ogre::SceneQueryResultMovableList
typedef list < SceneQuery::WorldFragment * > ::type | Ogre::SceneQueryResultWorldFragmentList
typedef vector < RaySceneQueryResultEntry > ::type | Ogre::RaySceneQueryResult
typedef std::pair < MovableObject *, MovableObject * > | Ogre::SceneQueryMovableObjectPair
typedef std::pair < MovableObject *, SceneQuery::WorldFragment * > | Ogre::SceneQueryMovableObjectWorldFragmentPair
typedef list < SceneQueryMovableObjectPair > ::type | Ogre::SceneQueryMovableIntersectionList
typedef list < SceneQueryMovableObjectWorldFragmentPair > ::type | Ogre::SceneQueryMovableWorldFragmentIntersectionList
typedef SharedPtr < ShadowCameraSetup > | Ogre::ShadowCameraSetupPtr
typedef vector< TexturePtr >::type | Ogre::ShadowTextureList
typedef vector < ShadowTextureConfig >::type | Ogre::ShadowTextureConfigList
typedef ConstVectorIterator < ShadowTextureConfigList > | Ogre::ConstShadowTextureConfigIterator
## Enumerations
enum | Ogre::SceneType { Ogre::ST_GENERIC = 1, Ogre::ST_EXTERIOR_CLOSE = 2, Ogre::ST_EXTERIOR_FAR = 4, Ogre::ST_EXTERIOR_REAL_FAR = 8, Ogre::ST_INTERIOR = 16 }
| Classification of a scene to allow a decision of what type of SceenManager to provide back to the application. More...
enum | Ogre::ShadowRenderableFlags { Ogre::SRF_INCLUDE_LIGHT_CAP = 0x00000001, Ogre::SRF_INCLUDE_DARK_CAP = 0x00000002, Ogre::SRF_EXTRUDE_TO_INFINITY = 0x00000004 }
| A set of flags that can be used to influence ShadowRenderable creation. More...
enum | Ogre::FaceGroupType { Ogre::FGT_FACE_LIST, Ogre::FGT_PATCH, Ogre::FGT_UNKNOWN }
| A type of face group, i.e. More...
## Functions
_OgreExport bool | Ogre::operator== (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)
_OgreExport bool | Ogre::operator!= (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)

## Typedef Documentation

typedef ConstVectorIterator<ShadowTextureConfigList> Ogre::ConstShadowTextureConfigIterator

Definition at line 63 of file OgreShadowTextureManager.h.

typedef vector<RaySceneQueryResultEntry>::type Ogre::RaySceneQueryResult

Definition at line 372 of file OgreSceneQuery.h.

typedef list<SceneQueryMovableObjectPair>::type Ogre::SceneQueryMovableIntersectionList

Definition at line 489 of file OgreSceneQuery.h.

typedef std::pair<MovableObject*, MovableObject*> Ogre::SceneQueryMovableObjectPair

Definition at line 487 of file OgreSceneQuery.h.

typedef std::pair<MovableObject*, SceneQuery::WorldFragment*> Ogre::SceneQueryMovableObjectWorldFragmentPair

Definition at line 488 of file OgreSceneQuery.h.

typedef list<SceneQueryMovableObjectWorldFragmentPair>::type Ogre::SceneQueryMovableWorldFragmentIntersectionList

Definition at line 490 of file OgreSceneQuery.h.

typedef list<MovableObject*>::type Ogre::SceneQueryResultMovableList

Definition at line 205 of file OgreSceneQuery.h.

typedef list<SceneQuery::WorldFragment*>::type Ogre::SceneQueryResultWorldFragmentList

Definition at line 206 of file OgreSceneQuery.h.

typedef uint16 Ogre::SceneTypeMask

Bitmask containing scene types.

Definition at line 3438 of file OgreSceneManager.h.

typedef SharedPtr<ShadowCameraSetup> Ogre::ShadowCameraSetupPtr

Definition at line 101 of file OgreShadowCameraSetup.h.

typedef vector<ShadowTextureConfig>::type Ogre::ShadowTextureConfigList

Definition at line 62 of file OgreShadowTextureManager.h.

typedef vector<TexturePtr>::type Ogre::ShadowTextureList

Definition at line 49 of file OgreShadowTextureManager.h.

## Enumeration Type Documentation

enum Ogre::FaceGroupType

A type of face group, i.e.

face list of procedural etc

Enumerator:

  FGT_FACE_LIST |
  FGT_PATCH |
  FGT_UNKNOWN |

Definition at line 45 of file OgreStaticFaceGroup.h.

enum Ogre::SceneType

Classification of a scene to allow a decision of what type of SceenManager to provide back to the application.

Enumerator:

  ST_GENERIC |
  ST_EXTERIOR_CLOSE |
  ST_EXTERIOR_FAR |
  ST_EXTERIOR_REAL_FAR |
  ST_INTERIOR |

Definition at line 3443 of file OgreSceneManager.h.

enum Ogre::ShadowRenderableFlags

A set of flags that can be used to influence ShadowRenderable creation.

Enumerator:

  SRF_INCLUDE_LIGHT_CAP | For shadow volume techniques only, generate a light cap on the volume.
  SRF_INCLUDE_DARK_CAP | For shadow volume techniques only, generate a dark cap on the volume.
  SRF_EXTRUDE_TO_INFINITY | For shadow volume techniques only, indicates volume is extruded to infinity.

Definition at line 97 of file OgreShadowCaster.h.

## Function Documentation

_OgreExport bool Ogre::operator!= | ( | const ShadowTextureConfig & | lhs,
|  | const ShadowTextureConfig & | rhs |
| ) |  |  |

_OgreExport bool Ogre::operator== | ( | const ShadowTextureConfig & | lhs,
|  | const ShadowTextureConfig & | rhs |
| ) |  |  |

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:53